$button-border: 1px;
$button-shadow-height: 2px;
$button-lighten: 30;
$button-default-color: $gray-5;

%button {
  background: $white;
  border: $button-border solid;
  border-radius: 100px;
  color: $button-default-color;
  outline: 0;
  padding: $padding-button;


  &.shadow {
    box-shadow: 0 $button-shadow-height;
    margin-bottom: $button-shadow-height;

    &:active {
      box-shadow: 0 0 0 0;
      transform: translateY($button-shadow-height);
    }
  }

  &.fill {
    background: lighten($button-default-color, $button-lighten);
  }

  &.expanded {
    width: 100%;
  }

  &:disabled {
    cursor: not-allowed;
  }
}

.#{$prefix}button {
  @extend %button;
}